<?php

namespace App\Core\Validator\User;

use App\Core\Repository\User\UserRepository;
use App\Models\User;
use Illuminate\Contracts\Container\Container;
use Illuminate\Contracts\Translation\Translator;
use Illuminate\Support\Facades\Hash;

use App\Core\Validator\BaseValidator;

use Exception;

class ResetPasswordValidator extends BaseValidator
{
    private $userRepository;

    public function __construct
    (
        UserRepository $userRepository,
        Translator $translator,
        Container $container
    )
    {
        parent::__construct($translator, $container);
        $this->userRepository = $userRepository;
    }

    public function rules($params = null)
    {
        return
            [
                'email' => 'required|email',
                'hash_key' => 'required|min:128',
                'password' => 'required|max:20|min:6|confirmed',
            ];


    }

    public function messages()
    {
        $thisMessages = [];
        return array_merge(parent::messages() , $thisMessages);
    }



    public function validate(array $params, array $rules = [], array $messages = [], array $customAttributes = [])
    {
        return $this->make($params, $this->rules($params), $this->messages());
    }

}
